Subject: Re: bug#72559: 31.0.50; profiler-report-write-profile produced unreadable data

From: Eli Zaretskii <[email-masked]>
Date: Sat, 17 Aug 2024 13:03:16 +0300

> From: Stefan Monnier <[email-masked]>
> Cc: Pip Cet <[email-masked]>,  [email-masked],
>   [email-masked]
> Date: Wed, 14 Aug 2024 08:48:43 -0400
> 
> > I think the patch below is in order (it partly undoes commit
> > a1f8702e8345).
> 
> Yeah, yeah,

Thanks, installed on the emacs-30 branch.

This seems to avoid errors, but I still see problems in the profile
read from a file, which is displayed like this:

     Samples    %   Function
          35  31%   redisplay_internal (C function)
          28  25% + command-execute
          28  25%   Automatic GC
           8   7% + #<string 540>
           7   6% + ...
           4   3% + #<string 54A>
           2   1% + #<string 57C>

Those "<string XYZ>" thingies are actually written in the file as
"#<byte-code-function F85>" strings, and I suspect that they should
have been written as function objects, not as strings.